frontend:
  image:
    repository: harbor.dvirlabs.com/my-apps/navix-front
    tag: latest
    pullPolicy: IfNotPresent
  service:
    type: ClusterIP
    port: 80
  ingress:
    enabled: true
    className: traefik
    annotations:
      traefik.ingress.kubernetes.io/router.entrypoints: websecure
      traefik.ingress.kubernetes.io/router.tls: "true"
    hosts:
      - host: navix.dvirlabs.com
        paths:
          - path: /
            pathType: Prefix
  env:
    API_BASE: "https://navix.dvirlabs.com/api"
    MINIO_ENDPOINT: "s3.dvirlabs.com"
    MINIO_BUCKET: "navix-icons"

backend:
  image:
    repository: harbor.dvirlabs.com/my-apps/navix-back
    tag: latest
    pullPolicy: IfNotPresent
  service:
    type: ClusterIP
    port: 8000
  env:
    MINIO_ACCESS_KEY: "your-access-key"
    MINIO_SECRET_KEY: "your-secret-key"
    MINIO_ENDPOINT: "s3.dvirlabs.com"
    MINIO_BUCKET: "navix-icons"
  ingress:
    enabled: true
    className: traefik
    annotations:
      traefik.ingress.kubernetes.io/router.entrypoints: websecure
      traefik.ingress.kubernetes.io/router.tls: "true"
    hosts:
      - host: navix.dvirlabs.com
        paths:
          - path: /api
            pathType: Prefix
